﻿using DSaC_second.Models.DTOs;
using MediatR;
using System.ComponentModel.DataAnnotations;

namespace DSaC_second.Models.Internal.Сommands
{
    public class UpdateContractCommand : IRequest<ResponseModel<ContractFullDto>>
    {
        public Guid Id { get; set; }

        [Required(ErrorMessage = "Update model msust be present")]
        public ContractViewDto Model { get; set; } = null!;
    }
}
